Now Scilab's Bugzilla with LDAP : if you have an account on ATOMS or fileexchange, you can log here with it!
Note You need to log in before you can comment on or make changes to this bug.
Details
Bug # 6018
: let TCL_EvalStr return the result of the evaluation
Status: RESOLVED FIXED
Product: Scilab software
Classification: Unclassified
Component: Scilab
 
Reported: 2006-09-11 11:46 CEST by Enrico SEGRE
Modified: 2015-10-08 20:20 CEST (History)
: All
: All OS
: 4.x and older
: (field not used) Wishlist

:
Depends on:
Blocks:
  Show dependency treegraph
See Also:
People
Reporter: Enrico SEGRE
Assigned To: Allan CORNET
3 users (show)

Detailed description of the problem
-- Bug description --


let TCL_EvalStr return the result of the evaluation


-- Scilab error message --





-- How to reproduce the bug --


so the detour

TCL_EvalStr("set answ [ .... ]"); TCL_GetVar("answ")

is unnecessary.

Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comments
Comment 1 Enrico SEGRE 2006-10-24 22:04:23 CEST
RESOLVED LATER? and what does it mean?
Comment 2 François VOGEL 2006-10-27 09:15:11 CEST
For the rest of the world :
As discussed privately with the development manager, RESOLVED LATER 
means FORGET IT, THE OP TEAM WON'T DO IT.

Reason for this precise request to have been rejected: The op team 
doesn't want to make the Tcl interface evolve, but only fix its 
possible bugs in the existing implementation.

OK, why not?

However, since I'm not a member of the op team, I made TCL_EvalStr 
evolve and I have committed an implementation of this request (trunk 
only), in accordance with the dev. manager.

I will update the help page accordingly.

Francois
Comment 3 François VOGEL 2006-10-27 09:39:19 CEST
(In reply to comment #2)
> I will update the help page accordingly.

Done.
Francois
Comment 4 Allan CORNET 2006-10-27 09:45:39 CEST
Only for Scilab 5.x (trunk)

A.C
Comment 5 François VOGEL 2007-08-26 10:57:53 CEST
I have ported this request implementation to the BUILD4 branch because 
it is necessary for the Scipad version that will be included in Scilab 
4.1.2.

Francois
Comment 6 Francois Granade 2015-10-08 20:20:55 CEST
(originally entered in version "4.0 final version")